%define version   0.9.0
%define release   %mkrel 3
%define src_name  skim_honoka

%define scim_honoka_version 0.9.0
%define skim_version        1.4.2

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		skim-scim-honoka
Summary:	An scim-honoka plugin for skim
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPL
URL:		http://nop.net-p.org/modules/pukiwiki/index.php?%5B%5Bhonoka%5D%5D
Source0:	%{src_name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:		%{libname}
Requires:		scim-honoka >= %{scim_honoka_version}
Requires:		skim >= %{skim_version}
BuildRequires:		scim-honoka-devel >= %{scim_honoka_version}
BuildRequires:		skim-devel >= %{skim_version}
BuildRequires:		gettext-devel kdebase-devel

%description
Skim-scim-honoka is an scim-honoka plugin for skim.

%prep
%setup -q -n %{src_name}-%{version}

%build
# fix build (ut):
%define __libtoolize /bin/true

%configure2_5x \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" 
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{src_name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{src_name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_datadir}/apps/skim/pics/*.png
%{_datadir}/services/*.desktop
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so


%changelog
* Fri Dec 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.9.0-3mdv2008.1
+ Revision: 119923
- buildrequires kdebase-devel
- rebuild b/c of missing subpackage on ia32

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 0.9.0-2mdv2008.0
+ Revision: 79772
- rebuild to drop lib, /usr/lib/kde3 should be in main package
- Import skim-scim-honoka




* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0-1mdv2007.0
- new release

* Wed May 03 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.2-2
- Fix build on x86_64

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.8.2-1mdv2007.0
- fix requires being "scim-honoka-devel >= %%{scim-honoka_version}"
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.8.1-1mdv2007.0
- new release
- fix buildrequires

* Mon Jan 16 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.0-1mdv2007.0
- first spec for Mandriva Linux
